## ros-humble-plansys2-core 2.0.9

=== debian/changelog ===
ros-humble-plansys2-core (2.0.9-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.8-1bookworm) bookworm; urgency=high

  * Add missing dependency
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.7-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.6-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.5-1bookworm) bookworm; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.4-1bookworm) bookworm; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.2-1bookworm) bookworm; urgency=high

  * Add Thread dependency
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.1-1bookworm) bookworm; urgency=high

  * Remove pthread dependency
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 16:00:00 -0000

ros-humble-plansys2-core (2.0.0-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 16:00:00 -0000

ros-humble-plansys2-core (1.0.10-1bookworm) bookworm; urgency=high

  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * Disable runtime/explicit cpplint errors
  * pddl-tree-messages: Removing explicit specifiers from plansys2_core/Types.hpp that appear to be causing build errors.
  * pddl-tree-messages: Deleting unused function declarations. Adding explicit specifier to single param constructors in plansys2_core/Types.hpp.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Using helper functions in problem expert client to handle user interactions.
  * pddl-tree-messages: Using alternate constructor to instantiate Instance in toInstance function.
  * pddl-tree-messages: Updating getInstance and getInstances calls to use helper classes.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Update version
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 16:00:00 -0000

ros-humble-plansys2-core (1.0.9-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 16:00:00 -0000

ros-humble-plansys2-core (1.0.8-1bookworm) bookworm; urgency=high

  * Ignore comments on block end search
  * PDDL transparent merge
  * Contributors: Fabrice Larribe, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 16:00:00 -0000

ros-humble-plansys2-core (1.0.7-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 16:00:00 -0000

ros-humble-plansys2-core (1.0.6-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 16:00:00 -0000

ros-humble-plansys2-core (1.0.5-1bookworm) bookworm; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 16:00:00 -0000

ros-humble-plansys2-core (1.0.4-1bookworm) bookworm; urgency=high

  * Add missing package dep
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 16:00:00 -0000

ros-humble-plansys2-core (1.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 16:00:00 -0000

ros-humble-plansys2-core (1.0.2-1bookworm) bookworm; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 16:00:00 -0000

ros-humble-plansys2-core (1.0.1-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 16:00:00 -0000

ros-humble-plansys2-core (0.0.7-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 16:00:00 -0000

ros-humble-plansys2-core (0.0.6-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 16:00:00 -0000

ros-humble-plansys2-core (0.0.5-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 16:00:00 -0000

ros-humble-plansys2-core (0.0.4-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:55:00 -0000

ros-humble-plansys2-core (0.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:11:00 -0000

ros-humble-plansys2-core (0.0.2-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 07 Jan 2020 16:00:00 -0000
