=== debian/control ===
Source: ros-humble-plansys2-core
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-plansys2-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Description: This package contains the PDDL-based core for the ROS2 Planning System
